server.port = 8912

spring.redisson.address = 117.78.33.241:6379
spring.redisson.password=bcxin@2019
spring.redisson.database = 0
file.dir = /opt/openoffice4/data
spring.resources.static-locations = classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/,file:${file.dir}
office.home = /opt/openoffice4
weboffice.provider.host=https://preview.test.bcxin.com.cn
weboffice.appId=AK20250714VNFIHT
weboffice.editing_dir=/data/wps

server.tomcat.uri-encoding = utf-8
converted.file.charset = utf-8
spring.http.multipart.max-file-size = 100MB
simText = txt,html,xml,java,properties,sql,js,md,json,conf,ini,vue,php,py,bat,gitignore,log,htm,css,cnf
media=mp3,mp4,flv



mybatis-plus.mapper-locations = classpath:/mybatis/**/*Mapper.xml
mybatis-plus.type-aliases-package= com.bcxin
#主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
mybatis-plus.global-config.id-type=2
#字段策略 0:"忽略判断",1:"非 NULL 判断"),2:"非空判断"
mybatis-plus.global-config.field-strategy=1
#驼峰下划线转换
mybatis-plus.global-config.db-column-underline=false
#刷新mapper 调试神器
mybatis-plus.global-config.refresh-mapper=true
#数据库大写下划线转换
mybatis-plus.global-config.capital-mode=false
mybatis-plus.configuration.map-underscore-to-camel-case=false
mybatis-plus.configuration.cache-enabled=false


spring.datasource.name=test
spring.datasource.url=jdbc:mysql://datalink.te.baibaodun.com.cn:15423/test_preview?useUnicode=true&characterEncoding=utf8&useCompression=true
spring.datasource.username=bcx
spring.datasource.password=0QJp2UbEf$NK

# 使用druid数据源
spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver